<?php
/**
 * Error Messages
 *
 * $Id: fnc_error_msgs.inc.php, 2004/02/21 07:51:59 Exp $
 */
 
//================================================================
// ERROR MESSAGES
//================================================================
/**
 * Wrong User Error
 */
function wrong_user_error() 
{
    global $lang, $xml_lang, $footer_type, $root_path, $style_num, $style,
           $cd, $copyright, $show_generation_time, $begin_time_str;
    echo "<h2>Ooops.</h2>\n".
         '<h3>'.SHOW_ERROR_ICON.'&nbsp;&nbsp;&nbsp;&nbsp;'.$lang['wrong_user']."</h3>\n";
    footer();
}


/**
 * Bad Request Error
 */
function bad_req_error() 
{
    global $lang, $xml_lang, $footer_type, $root_path, $style_num, $style,
           $cd, $copyright, $show_generation_time, $begin_time_str;
    echo "<h2>Ooops.</h2>\n".
         '<h3>'.SHOW_ERROR_ICON.'&nbsp;&nbsp;&nbsp;&nbsp;'.$lang['bad_req']."</h3>\n";
    footer();
}


/**
 * No ID Error
 */
function no_id_error() 
{
    global $lang, $xml_lang, $footer_type, $root_path, $style_num, $style,
           $cd, $copyright, $show_generation_time, $begin_time_str;
    echo '<h2>Ooops. '.$lang['no_id']."</h2>".
         '<h3>'.SHOW_ERROR_ICON.'&nbsp;&nbsp;&rarr;&nbsp;&nbsp;'.
         '<a href="./login.php"><strong>'.$lang['login'].'</strong></a> '.$lang['please']."</h3>\n";
    footer();
}


/**
 * No Keywords Error (Search Form)
 */
function no_keywords_error() 
{
    global $lang, $xml_lang, $footer_type, $root_path, $style_num, $style,
           $cd, $copyright, $show_generation_time, $begin_time_str;
    echo '<h2>No Keywords.</h2>'.
         '<h3>'.SHOW_ERROR_ICON.'&nbsp;&nbsp;'.
         $lang['enter_keywords']."</h3>\n".
         '<p>&rarr;&nbsp;';
    if ($xml_lang == 'ja') {
        echo '<a href="./var/index.php?id=how_to_search_ja">検索方法について';
    } else {
        echo '<a href="./var/index.php?id=how_to_search_en">How To Search';
    }
    echo "</a>\n</p>\n".
         '<p>&rarr;&nbsp;<a href="./search_plus.php">'.$lang['advanced_search']."</a>\n</p>\n";
    footer();
}


/**
 * Keyword Error (Search Form)
 */
function keyword_error() 
{
    global $lang, $error_type, $xml_lang, $footer_type, $root_path, $style_num, $style,
           $cd, $copyright, $show_generation_time, $begin_time_str;
    switch($error_type) {
        case '1':
            echo '<h2>No Keywords.</h2>';
            break;
        case '2':
            echo '<h2>Too Short Keyword.</h2>';
            break;
        default:
            echo '<h2>Error</h2>';
    }
    echo '<h3>'.SHOW_ERROR_ICON.'&nbsp;&nbsp;';
    switch($error_type) {
        case '1':
            echo $lang['enter_keywords']."</h3>\n";
            break;
        case '2':
            echo $lang['too_short_keyword']."</h3>\n";
            break;
        default:
            echo "</h3>\n";
    }
    echo '<p>&rarr;&nbsp;';
    if ($xml_lang == 'ja') {
        echo '<a href="./var/index.php?id=how_to_search_ja">検索方法について';
    } else {
        echo '<a href="./var/index.php?id=how_to_search_en">How To Search';
    }
    echo "</a>\n</p>\n".
         '<p>&rarr;&nbsp;<a href="./search_plus.php">'.$lang['advanced_search']."</a>\n</p>\n";
    footer();
}


// Deny direct access to this file
if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" .$_SERVER['SERVER_NAME']. dirname($_SERVER['REQUEST_URI']). "/index.php");
}
?>