<?php
/**
 * Functions for search routines
 *
 * $Id: fnc_search.inc.php, 2004/02/21 13:48:52 Exp $
 */

//================================================================
// SEARCH ROUTINES
//================================================================

/**
 * Keyword Highlighting
 */
function hit_key_highlight()
{
    global $case, $i, $keys, $row;
    if ($case == 0) { // case-insensitive
        for ($i = 0; $i < sizeof($keys); $i++) {
            if ($keys[$i] != "") {
                $row['name']     = preg_replace('/('.stripslashes($keys[$i]).')/i', '<span class="hl">$1</span>', $row['name']);
                $row['comment']  = preg_replace('/('.stripslashes($keys[$i]).')/i', '<span class="hl">$1</span>', $row['comment']);
                while (preg_match('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', $row['comment'])){
                    $row['name']     = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['name']);
                    $row['comment']  = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['comment']);
                }
            }
        }
    } else { // case-sensitive
        for ($i = 0; $i < sizeof($keys); $i++) {
            if ($keys[$i] != "") {
                $row['name']     = preg_replace('/('.stripslashes($keys[$i]).')/', '<span class="hl">$1</span>', $row['name']);
                $row['comment']  = preg_replace('/('.stripslashes($keys[$i]).')/', '<span class="hl">$1</span>', $row['comment']);
                while (preg_match('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', $row['comment'])){
                    $row['name']     = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['name']);
                    $row['comment']  = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['comment']);
                }
            }
        }
    }
}

/**
 * Keyword Highlighting for Binary Search
 */
function hit_key_highlight_bin() 
{
    global $case, $i, $keys, $row;
    if ($case == 0) { // case-insensitive
        for ($i = 0; $i < sizeof($keys); $i++) {
            if ($keys[$i] != "") {
                $row['bin_title']   = preg_replace('/('.stripslashes($keys[$i]).')/i', '<span class="hl">$1</span>', $row['bin_title']);
                $row['binname']     = preg_replace('/('.stripslashes($keys[$i]).')/i', '<span class="hl">$1</span>', $row['binname']);
                $row['bincomment']  = preg_replace('/('.stripslashes($keys[$i]).')/i', '<span class="hl">$1</span>', $row['bincomment']);
                while (preg_match('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', $row['bincomment'])){
                    $row['bin_title']   = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['bin_title']);
                    $row['binname']     = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['binname']);
                    $row['bincomment']  = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['bincomment']);
                }
            }
        }
    } else { // case-sensitive
        for ($i = 0; $i < sizeof($keys); $i++) {
            if ($keys[$i] != "") {
                $row['bin_title']   = preg_replace('/('.stripslashes($keys[$i]).')/', '<span class="hl">$1</span>', $row['bin_title']);
                $row['binname']     = preg_replace('/('.stripslashes($keys[$i]).')/', '<span class="hl">$1</span>', $row['binname']);
                $row['bincomment']  = preg_replace('/('.stripslashes($keys[$i]).')/', '<span class="hl">$1</span>', $row['bincomment']);
                while (preg_match('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', $row['bincomment'])){
                    $row['bin_title']   = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['bin_title']);
                    $row['binname']     = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['binname']);
                    $row['bincomment']  = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['bincomment']);
                }
            }
        }
    }
}




// Deny direct access to this file
if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" .$_SERVER['SERVER_NAME']. dirname($_SERVER['REQUEST_URI']). "/index.php");
}
?>