<?php
/**
 * P_BLOG User Configuration File
 *
 * ** IMPORTANT **
 * All P_BLOG files are written in UTF-8. 
 * Please use the editor which can handle Unicode to edit.
 *
 * $Id: include/user_config.inc.php, 2004/05/08 18:41:18 Exp $
 */

//////////  INDEX   //////////////
//
// MySQL SETTINGS
// BASE SETTINGS
// HEADER-BOX SETTINGS
// MENU-BOX SETTINGS
// CONTENT-BOX SETTINGS
// FOOTER-BOX SETTINGS
// INDIVIDUAL ARITCLE PAGE
// ADMIN MODE SETTING
/////////////////////////////////

//================================================================
// MySQL SETTINGS
//================================================================
// Database Table Names
// * Do not change here if you don't really need to. *
//------------------------------------------------------------------------------------------------
$dbname          = 'p_blog';        // Your MySQL DB name
$log_table       = 'p_blog_log';    // Main log table - if you upgrade from ver.1.0b12 or older, set "p_blog" here.
$info_table      = 'p_bin';         // Meta data table for binary uploader
$data_table      = 'p_bin_data';    // Data table for binary uploader
$analyze_table   = 'p_anama';       // Access Analyzer table
$user_table      = 'p_blog_user';   // User table


// MySQL User Settings
// -----------------------------------------------------------------------------------------------
$host            = 'localhost';     // MySQL hostname or IP address
$user            = 'mysql-user';    // Your MySQL user name. you *MUST* change here
$password        = 'mysql-pass';    // Your MySQL password. you *MUST* change here


// Your MySQL DB lanuguage
// * For example:
// * English  : Latin1 or ISO-8859-1
// * Japanese : EUC-JP or SJIS
// -----------------------------------------------------------------------------------------------
$mysql_lang      = 'EUC-JP';

// Count Query Setting
// * Do not change here if you don't really need to. *
// -----------------------------------------------------------------------------------------------
// $count_row_query = 'found_rows()'; // MySQL-4.0.x or higher.
$count_row_query = 'id';             //  MySQL-3.23.5x or higher.


//================================================================
// BASE SETTINGS
//================================================================
///////////////////// IMPORTANT ///////////////////
// * Just write your P_BLOG root path without server name here.
// * ** DON NOT FORGET TO SLASH AT THE END AND THE BEGINNING! **
// -----------------------------------------------------------------------------------------------
// Ex:
// * $root_path  = '/p_blog/';                     <-- o GOOD !
// * $root_path  = 'http://yourdomain.com/p_blog'; <-- x BAD !

// -----------------------------------------------------------------------------------------------
$root_path       = '/path/to/your/p_blog/';


// Top Page of your P_BLOG
// * Do not change here if you don't really need to.
// -----------------------------------------------------------------------------------------------
$top_page        = 'index.php';



// XHTML Language Settings
// * Set the charset of your XHTML
// -----------------------------------------------------------------------------------------------
$xml_version          = '1.0';
$xml_lang             = 'en';       //ex: English = 'en', Japanese = 'ja', Italian = 'it';
$charset              = 'utf-8';    //ex: iso-8859-1, euc-jp


// Enabling UTF-8 (multibyte) convert
// * "ON" is recommended.
// * if it's on, P_BLOG generates UTF-8 code.
// * if it's off, it uses your MySQL encoding.
// * Please use "off" mode only when you really need to
// * or your PHP server doesn't support multibyte-convert.
// -----------------------------------------------------------------------------------------------
$enable_unicode       = 'on';        //use UTF-8 convert --- 'on' or 'off'


//================================================================
// HEADER-BOX SETTINGS
// * NAME YOUR BLOG AND YOUR CONTENTS
//================================================================
// Your Weblog Title & Subtitles
// -----------------------------------------------------------------------------------------------
$blog_title      = 'P_BLOG';
$sub_title       = '- Simple &amp; W3C-Valid Log System';

// SEARCH Plus+ Anchor
// * Anchor to "SEARCH Plus+" on the right corner of the top page.
// -----------------------------------------------------------------------------------------------

// * Style-1 : text link
// $search_plus_anchor = '<span class="search-plus">&raquo;</span>';
// * Style-2 : image link-1
// $search_plus_anchor = '<img src="./images/arrow2.png" width="9" height="11" alt="&raquo;" />';
// * Style-3 : image link-2
$search_plus_anchor = '<img src="'.$cd.'/images/arrow.png" width="16" height="16" alt="&raquo;" />';



//================================================================
// MENU-BOX SETTINGS
//================================================================
// Contents Menu
// * Pattern: "Title" => "File path"
// -----------------------------------------------------------------------------------------------
$vars_page_title = 'VARS'; // Name your VARS page

// Contents Menu List
$menu_list = array(
    "LOGS"               => "index.php",
    "FILES"              => "files/index.php",
    "{$vars_page_title}" => "var/index.php");
 

// ** OPTION **
// * If you want to use Feedback form, add:
// *
// * "CONTACT" => "var/index.php?id=feedback_en" 


// CSS Swither
// -----------------------------------------------------------------------------------------------
$use_css_switch  = 'yes';          //use css switcher -- 'yes' or 'no'
$css_cookie_name = 'p_blog_style'; //name your style
$css_cookie_time = '15724800';     //(.sec) from "10" to "31536000(1 year)" or whatever.
$default_style   = 'rich_green';   //choose the number of your default sytle

// Rewrite here when customize CSS Menu and add your own CSS
// Pattern: "Title" => "CSS folder name"
$styles = array(
    "W3C Silk"   => "w3c_silk",
    "Alminum"    => "alminum",
    "Rich Green" => "rich_green");
    

// RSS Feed
// -----------------------------------------------------------------------------------------------
$use_rss  = 'yes'; // Use RSS feed --- 'yes' or 'no'

// * Choose RSS feed link -- text or image *
// Examples:
// $rss_feed = 'XML/RSS'; // text RSS feed link
// $rss_feed = '<img src="'.$cd.'/images/rdf_xml.png" width="80" height="15" alt="rss" class="logo" />';
// $rss_feed = '<img src="'.$cd.'/images/rss_xml.png" width="80" height="15" alt="rss" class="logo" />';
$rss_feed = '<img src="'.$cd.'/images/rss_rdf.png" '.
                 'width="80" height="15" '.
                 'alt="rss" title="RDF of this page" class="logo" />';


// Choose article anchor -- text or image
// $anchor = '@';       // text anchor Ex-1
// $anchor = '&oplus;'; // text anchor Ex-2
// -----------------------------------------------------------------------------------------------
$anchor = '<img src="./images/anchor_button5.png" width="12" height="12" alt="&oplus;" class="anchor" />';


//================================================================
// CONTENT-BOX SETTINGS
//================================================================
// Date Title
// * Display date title on top of the logs
// -----------------------------------------------------------------------------------------------
$show_date_title      = 'yes';       // --- 'yes' or 'no'
$show_date_time       = 'yes';       // --- 'yes' or 'no'

// Date Title format
// * 1     : 2003/01/01
// * 2     : Jan 01, 200
// * blank : 2003-01-01
// -----------------------------------------------------------------------------------------------
$date_style           = '2';


// Page Max
// Set how many logs you want to show on each page.
// -----------------------------------------------------------------------------------------------
$pagemax              = '7';         // This shows 7 logs per each pages



// Choose Page Flipper Style
// * 1: link 2: form
// -----------------------------------------------------------------------------------------------
$page_flip_style      = '1';



// Archive list form sort order
// * if 'yes', the latest month will be displayed first.
// -----------------------------------------------------------------------------------------------
$date_order_desc      = 'yes';       // --- 'yes' or 'no'



// Show category list in menu
// -----------------------------------------------------------------------------------------------
$show_categories      = 'yes';       // --- 'yes' or 'no'
$category_style       = '1';         // 1: Form Menu  2: List Menu
$show_cat_num         = 'yes';       // --- 'yes' or 'no' // show how many logs are stocked in each category



// Previous "n" Logs in menu
// -----------------------------------------------------------------------------------------------
$show_pre_recent_menu = 'no';       // --- 'yes' or 'no'
$pre_recent_max       = '5';





///////////////// MySQL file uploader page settings //////////////
//
// File index title
// -----------------------------------------------------------------------------------------------
$file_index_title     = 'FILES';
$use_2_indexes        = 'yes';       // --- 'yes' or 'no'
$max_listup           = '2';         // How many logs to display in index

// Show binary file category list in menu
// -----------------------------------------------------------------------------------------------
$show_bin_categories  = 'yes';       // --- 'yes' or 'no'
$bin_category_style   = '1';         // 1: Form Menu  2: List Menu
$show_bin_cat_num     = 'yes';       // --- 'yes' or 'no' // show how many logs are stocked in each category


// Show filetype list in menu
// -----------------------------------------------------------------------------------------------
$show_filetype        = 'no';        // --- 'yes' or 'no'
$filetype_style       = '1';         // 1: Form Menu  2: List Menu
$show_type_num        = 'yes';       // --- 'yes' or 'no' // show how many files are stocked in each filetype


// Date title
// -----------------------------------------------------------------------------------------------
$show_file_date_title = 'yes';       // --- 'yes' or 'no'



// Image Display
// -----------------------------------------------------------------------------------------------
$show_thumb_nail = 'yes';            // Show "jpg, gif, png" thumb nail -- 'yes' or 'no'
$thumb_nail_w    = '90';             // Thumb nail width
$thumb_nail_h    = '90';               // Thumb nail height
$thumb_nail_alt  = 'thumb nail';     // Alternate text in anchor tag
$show_img_size   = 'yes';            // --- 'yes' or 'no'


// Show MD5 checksum in file page 
// -----------------------------------------------------------------------------------------------
$show_md5             = 'yes';      // --- 'yes' or 'no';


// File Download Counter
// * If you set here to 'yes', File download counter will be on
// * and you can check download count in Admin mode.
// * -------------------------------------------------------------------------------------------
$use_download_counter = 'yes';         // --- 'yes' or 'no';



//================================================================
// FOOTER-BOX SETTINGS
//================================================================
// Choose footer type
// -----------------------------------------------------------------------------------------------
$footer_type = '1'; //1:default    2:with validators  3:W3C original logos  4:User Custom Footer

$email           = 'webmaster@example.com';  // E-Mail address


// Show "Contact" address ( Footer Type 1 Only )
// -----------------------------------------------------------------------------------------------
$email_title     = 'Send Comments';


// Show Your Copyright to the World
// -----------------------------------------------------------------------------------------------
$copyright       = 'Copyright &copy; 2004 Me'; // write your name here


// [ CUSTOMIZE EXAMPLES (for Footer Type 1 & 2 ) ]
// You can use feedback form if your server supports mail software such as "sendmail" or "Postfix" ↓.
// ------------------------------------------------------------------------------------------------
// (ex.1) : Japanese Feedback form 
// $copyright = 'Copyright &copy; 2003 '.
//              '<a href="http://'.$_SERVER['HTTP_HOST'].$root_path.'var/index.php?id=feedback_ja">Me</a>';
//
// ------------------------------------------------------------------------------------------------
// (ex.2) : English Feedback form
// $copyright = 'Copyright &copy; 2003 '.
//              '<a href="http://'.$_SERVER['HTTP_HOST'].$root_path.'/var/index.php?id=feedback_en">Me</a>';
// ------------------------------------------------------------------------------------------------



// Page Benchmark Time
// * Show page generation time
// -----------------------------------------------------------------------------------------------
$show_generation_time = 'yes';// --- 'yes' or 'no'




//================================================================
// INDIVIDUAL ARITCLE PAGE
//================================================================
// Generate log's URI in the individual log pages for reference
$display_log_uri = 'no'; // --- 'yes' or 'no'



//================================================================
// ADMIN MODE SETTINGS
//================================================================
/////////////////////  NOTICE!  ///////////////////
// Renaming admin directory name is *RECOMMENDED* for security.
//
// for example,
//
// $admin_dir_name  = 'my_secret_path_to_admin';
//
// ...or maybe you can use MD5 hashed admin directory like this.
// (If you can remember, though)
//
// $admin_dir_name  = '21232f297a57a5a743894a0e4a801fc3';
//                     (This is MD5 hash value for "admin") 
// -----------------------------------------------------------------------------------------------
$admin_dir_name     = 'admin';



// Upload Attachment Images Directory ( without MySQL)
// * Attachment File Upload Directory
// -----------------------------------------------------------------------------------------------
$uploaddir       = '../resources/'; //Don't forget to set the permission to "777"

// Upload Image Max
// * Set how many attachment to show in your Admin Page
// -----------------------------------------------------------------------------------------------
$up_img_max      = '3'; //set how many images you want to upload with each log



// Access Analyzer settings
// -----------------------------------------------------------------------------------------------
$use_analyzer       = 'yes'; //use access analyzer --- 'yes' or 'no'

// Set Min Referer URI
// * For example, if you set "2", Referer under "2" hits will be count as "Others"
// -----------------------------------------------------------------------------------------------
$referer_limit_num  = '1';   // min: 1


// Enable "DELTE LOGS" Button
// * if 'yes', delete log button will appear.
// * Default is "no" because this button is dangerous. please use this with care.
// -----------------------------------------------------------------------------------------------
$enable_del_logs    = 'yes'; // --- 'yes' or 'no'
$del_magic_words    = 'flush!';


// Gunzip compress output
// -----------------------------------------------------------------------------------------------
$gz_compress        = 'yes';  // --- 'yes' or 'no' 


////////////////////  MAIL FUNCTION  (OPTIONAL) ///////////////////
//
// E-mail "User Account ID" for reminder
// (Your server's sendmail supports required)
// -----------------------------------------------------------------------------------------------
$sendmail_account_id  = 'no';  // --- 'yes' or 'no'


// Feedback Mail Form
// -----------------------------------------------------------------------------------------------
$use_feedback_form    = 'yes';  // --- 'yes' or 'no'


// Show "email" link in each log footer
// * This is *Very* experimental. Use with cate.
// -----------------------------------------------------------------------------------------------
$use_email_link       = 'no';


// Sendmail / Postfix E-Mail Address
// * This Email address is used for sending User Account ID
// * and Feedback form via server's mail sending software(sendmail, Postfix, etc).
// * This won't be viewable in XHTML source code for security.
// -----------------------------------------------------------------------------------------------
$sendmail_address    = 'yourname@example.com';



////////////////// SESSION MANAGEMENT ////////////////////////////
//
// Save & Manage Session Files in MySQL
// * If 'no', P_BLOG saves session files in server directory
// -----------------------------------------------------------------------------------------------
$use_session_db        = 'yes';   // --- 'yes' or 'no'


// Save & Manage Session Files in Server Directory
// * This function will be "ON" automatically if you set 
//   "Save & Manage Settion Files in MySQL" to "no".
// * Session names -- alphanumeric strings only
// -----------------------------------------------------------------------------------------------
$p_blog_sess_name      = 'pblogsesssion';
$p_blog_root_sess_name = 'pblogrootsession';



//================================================================
// FORUM SETTINGS
//================================================================
// Show "Comment" link
// -----------------------------------------------------------------------------------------------
$use_comment_link     =  'yes';

// Max display pages of the forum
// -----------------------------------------------------------------------------------------------
$topic_max           =  '12';



//================================================================================================
//                    USER CONFIG FINISHED!
// -----------------------------------------------------------------------------------------------
// IF YOU HAVEN'T INSTALLED MySQL DB TABLES FOR P_BLOG
//   - Please access to "SETUP_FILES" directory, read README, and execute DB_INSTALL.php.
//
// UPGRADE
//   - Access to "SETUP_FILES" directory, read README, and execute DB_UPDATE.php
//
// IF YOU HAVE ALREADY INSTALLED DB & TABLES
//   - Aceess to your admin directory and create a user account... ENJOY!
//================================================================================================
//===================================
//DENY DIRECT ACCESS TO THIS FILE
//===================================
if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" .$_SERVER['SERVER_NAME']. dirname($_SERVER['REQUEST_URI']). "/index.php");
}
?>