<?php
/**
 * Search Routine
 * 
 * $Id: search.php, 2004/03/26 16:18:51 Exp $
 */

$cd = '.';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/fnc_logs.inc.php';
require_once $cd . '/include/search_plus.inc.php';
require_once $cd . '/include/fnc_search.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';

session_control();

against_xss();

// XHTML Header
display_header();

display_log_search_form();

display_menu_list($cd, $admin, $menu_list, $root_path);

// Pick up archives by date
$sql = "SELECT DATE_FORMAT(date,'%Y-%m') as date FROM ".$log_table.' WHERE draft = 0 GROUP BY date ORDER BY date';
if ($date_order_desc == 'yes') {
    $sql.= ' DESC';
}
archive_by_date($sql);

// Category List
if ($show_categories == 'yes') {
    if ($category_style == 1) {
        display_categories_menu($show_cat_num, $log_table, $enable_unicode, $mysql_lang);
    } elseif ($category_style == 2) {
        display_categories_list($show_cat_num, $log_table, $enable_unicode, $mysql_lang);
    }
}

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss, $cd, $rss_feed);

//=====================================================
// PREPARE SEARCH QUERY
//=====================================================
/**
 * case-insensitive : case = 0;
 * case-sensitive   : case = 1;
 *
 */
if (isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'])) {
    // To check if keyword value is not too short
    if (($_GET['k'] != '') && (strlen($_GET['k']) <= 2 )) {
         keyword_error($error_type = '2');
         exit;
    }
    if ($enable_unicode == 'on') {
        $keyword = mb_convert_encoding(trim($_GET['k']), $mysql_lang, "auto");
    } else {
        $keyword = trim($_GET['k']);
    }
    $page  = $_GET['p'];
    $date  = $_GET['d'];
    $case  = $_GET['c'];
    
    if (($page != '') & ($case != '')) {
        if (($keyword == '') && ($date == '')) {
            // Redirect to "search plus"...
//            keyword_error($error_type = '1');
            header("HTTP/1.1 301 Moved Permanently");
            header('Location: http://' . $_SERVER['HTTP_HOST'] . $root_path . 'search_plus.php');
            exit;
        } else {
            $sql = 'SELECT'.
                   " id,href,name,date,DATE_FORMAT(mod,'%Y-%m-%d %T') as mod,comment,category".
                   ' FROM '.$log_table;
            if ($date != "all") {
                $sql .= ' WHERE (draft = 0) AND (';
            }
        }
        if ($keyword != '') { // keyword search
            if (!strrchr($keyword, " ")) {
                $keys = explode(",", $keyword);
                $and_or = 'OR';
            } else {
                $keys = explode(" ", $keyword);
                $and_or = 'AND';
            }
            if ($case == 1) {
                $sql .= 'BINARY ';
            }
            $sql .= "name LIKE '%".$keys[0]."%' OR ";
            if ($case == 1) {
                $sql .= 'BINARY ';
            }
            $sql .= "comment LIKE '%".$keys[0]."%')";
            for ($i = 1; $i < sizeof($keys); $i++) {
                $sql .= $and_or. ' (';
                if ($case == 1) {
                    $sql .= 'BINARY ';
                }
                $sql .= "name LIKE '%".$keys[$i]."%' OR ";
                if ($case == 1) {
                    $sql .= 'BINARY ';
                }
                $sql .= "comment LIKE '%".$keys[$i]."%')";
            }
			if ($date != "all") {
            $sql .= " AND (date LIKE '".$date."%')";
			}
        } elseif ($keyword == '') { // monthly search
			if ($date != "all") {
            $sql .= "date LIKE '".$date."%')";
			}
        }
        $sql .= " ORDER BY date DESC LIMIT {$page}, {$pagemax} ";
    } else {
        header('Location: http://' . $_SERVER['HTTP_HOST'] .$root_path. 'search_plus.php');
        exit;
    }  
 
    //=====================================================
    // SUBMIT SEARCH QUERY
    //=====================================================
    if ($res = mysql_query($sql)) {
        //query results --- count all hit data
        if (!strrchr($keyword, " ")) {
            $keys = explode(",", $keyword);
            $and_or = 'OR';
        } else {
            $keys = explode(" ", $keyword);
            $and_or = 'AND';
        }
        $count_sql = 'SELECT id FROM '.$log_table.' WHERE (draft = 0) AND (';
        if ($case == 1) {
            $count_sql .= 'BINARY ';
        }
        $count_sql .= "name LIKE '%".$keys[0]."%' OR ";
        if ($case == 1) {
            $count_sql .= 'BINARY ';
        }
        $count_sql .= "comment LIKE '%".$keys[0]."%')";        
        for ($i = 1; $i < sizeof($keys); $i++) {
            $count_sql .= $and_or . ' (';
            if ($case == 1) {
                $count_sql .= 'BINARY ';
            }
            $count_sql .= "name LIKE '%".$keys[$i]."%' OR ";
            if ($case == 1) {
                $count_sql .= 'BINARY ';
            }
            $count_sql .= "comment LIKE '%".$keys[$i]."%')";
        }
		if ($date != "all") {
            $count_sql .= " AND (date LIKE '".$date."%')";
		}
        $hit_res = mysql_query($count_sql);
        $hit_row = mysql_num_rows($hit_res);
    
        // Show the hit data info.
        $rows = mysql_num_rows($res);
        if ($enable_unicode == 'on') {
            $keyword = mb_convert_encoding($keyword, "UTF-8", $mysql_lang);
        }
        if ($keyword == '') {
            if ($date != '') {
                echo '<h2 class="archive-title">';
                if ($date == 'all') {
                    echo $lang['all_data'];
                } else {
                    echo $date;
                }
                echo "</h2>\n";
                //echo '<h2 class="archive-title">'.$date."</h2>\n";
            } else {
                echo '<h2 class="archive-title">'.$lang['all_data']."</h2>\n";
            }
            $disp_page = $page + 1;
            $disp_rows = $page + $rows;
            echo '<p class="search-res">'.
                 '<span class="search-res">'.$hit_row.'</span>'.$lang['show_log'].'&nbsp;'.
                 '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                 '<span class="search-res">'.$hit_row.'</span></p>';
        } elseif ($keyword != '') {
            echo '<h2 class="archive-title">'.$lang['keyword'].
                 ' : '.htmlspecialchars(stripslashes($keyword))."</h2>\n<p>\n";
            $disp_page = $page + 1;
            $disp_rows = $page + $rows;
            echo '<span class="search-res">'.$hit_row.'</span> '.$lang['hit_msg'].'&nbsp;'.
                 '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                 '<span class="search-res">'.$hit_row."</span>\n";
            if ($date != '') {
                echo '&nbsp;&nbsp;&nbsp;&nbsp;'.$lang['by_month'].': <span class="search-res">'.$date."</span>\n</p>\n";
            } else {
                echo "</p>\n";
            }
        }
        //=================================================
        // SHOW THE RESULTS!
        //=================================================
        if ($hit_row) {
            display_page_flip();     
            //------------- WITH-DATE-TITLE MODE --------------
//            if (($show_date_title == 'yes') && ($date != "all")) {
            if ($show_date_title == 'yes') {
                $row = mysql_fetch_array($res);
                //$title_date = substr($row['date'], 0, 10);
                date_format($date_style, $row_name = 'date');
                $title_date = $formatted_date;
                echo '<h2 class="date-title">'.$title_date."</h2>\n";
                do {
                    //$tmp_date = substr($row['date'], 0, 10);
                    date_format($date_style, $row_name = 'date');
                    $tmp_date = $formatted_date;
                    if ($title_date != $tmp_date) {
                        $title_date = $tmp_date;
                        echo '<h2 class="date-title">'.$title_date."</h2>\n";
                    }
                    hit_key_highlight();
                    convert_to_utf8($enable_unicode, $row, $mysql_lang);
                    display_article_box($row, $anchor);
                } while ($row = mysql_fetch_array($res));
            //------------- WITHOUT-DATE-TITLE MODE --------------
            } else {
                while ($row = mysql_fetch_array($res)) {
                    hit_key_highlight();
                    convert_to_utf8($enable_unicode, $row, $mysql_lang);
                    display_article_box($row, $anchor);
                }
            }
            //
            display_page_flip();
        } else {
            echo '<h3>'.$lang['no_matches']."</h3>\n";
        }
    }
} else {
    echo '<h2>'.$lang['search']."</h2>\n".
         '<p>'.$lang['status_idle']."</p>\n";
}
footer();
?>
