<h1><?= P_BLOG_VERSION ?> Manual</h1>
<hr />
<p class="flip-menu">
 <a href="./index.php">TOP</a> <a href="./index.php?id=en_00">INDEX</a> <span class="cur-tab">HOW TO SET-UP</span>
</p>
<hr />
<h2 id="install">INSTALL</h2>
<h3><img src="./contents/resources/step1.png" width="37" height="37" alt="STEP-1" />&nbsp;CHECK YOUR ENVIRONMENT</h3>
<p>Make sure that "PHP4.2.x or later (ver.4.3.x are recommended)" 
and "MySQL-3.23.x〜4.x" are installed on your server machine or on your system (for local use).</p>
<h3><img src="./contents/resources/step2.png" width="37" height="37" alt="STEP-2" />&nbsp;CONFIGURE "include/user_config.inc.php"</h3>
<p>
Open "include/user_config.inc.php" file with your favorite Text Editor
which can handle UTF-8 and configure it. 
Just rewrite your host servername,  MySQL user name,
your MySQL password and MySQL-language will be O.K. to make it work, but I recommend to rewrite title, subtitles, and other config stuffs you can change.
</p>
<p>To make MySQL connection work, you should rewrite
<em>AT LEAST</em> 3 lines shown below.
</p>
<div class="command">
<pre><span class="blue">
    $host     = 'Your Host server name';
    $user     = 'Your MySQL user name';
    $password = 'Your MySQL user password';</span></pre>
</div>
<p>Please read the comment in user_config.inc.php carefully.</p>
<h3><img src="./contents/resources/step3.png" width="37" height="37" alt="STEP-3" />&nbsp;CONFIGURE "INSTALL.php" &amp; CREATE MySQL TABLES</h3>
<h4>Next, <span class="red">go to &quot;SETUP_FILES&quot;</span> directory.</h4>
<p>There're Two INSTALL files. You must choose the one that fits your need.</p>
<ol>
<li><strong>DB_INSTALL.php</strong><br />
This install script will create FULL featured tables for using P_BLOG. If you use P_BLOG for the first time or reinstall everything from the start, this file is your choice. 
</li>
<li><span class="blue"><strong>DB_UPDATE.php</strong></span>&nbsp;<span class="red">(IMPORTANT)</span><br />
<span class="red">If you upgrade from older version, you should execute this upgrade script.</span><br />
This install script will create a fields or tables which are required to run latest version of P_BLOG.
If you are already a P_BLOG user and want to upgrade from the older to the latest, you have to execute this script. Only required queries will be executed.
</li>
</ol>
<p>
Access to "INSTALL.php" file with the browser of your choice.
Database and 6 tables will be created automatically.</p>
<h4>P_BLOG's MySQL DB Tables Schema</h4>
<img src="./contents/resources/p_blog_db_schema.png" width="495" height="728" alt="DB Schema" />
<p>After installation, I recommend to remove "INSTALL.php" file and SETUP_FILES folder(directory) from your
server manually for the security reason.
</p>

<h3><img src="./contents/resources/step4.png" width="37" height="37" alt="STEP-4" />&nbsp;CHANGE "resource" DIRECTORY PERMISSION to "755".</h3>
<p>
"resource" directory is the place where to stock images and files
you want to upload with each logs. Don't forget to change the permission
of this directory to enable uploading files.
</p>
<h4>FOR LOCAL USE</h4>
<p>If you want to use P_BLOG on your local machine, use Terminal application to change the permission of &quot;resources&quot; directory. Try:
</p>
<div class="command">
% <span class="blue">chmod 755 resources</span>
</div>
<p>and then check it with </p>
<div class="command">
% <span class="blue">ls -al resources</span>
</div>
<p>to see if the permission has been changed.</p>

<h3><img src="./contents/resources/step5.png" width="37" height="37" alt="STEP-5" />&nbsp; Create a user account</h3>
<p>Go to the Admin page and click the &quot;ACCOUNT MANAGE LOGIN&quot; button. You will see the &quot;ACCOUNT MANAGER&quot; login page, type your user name and password you set in /include/user_config.inc.php file.</p>
<p>If you successfully authorized, then create a new user account. This user will be able to post, edit, delete the articles, so please remember the password. (If your server supports sandmail you can send ID info to the registerd Email for reminder.)</p>

<h3><img src="./contents/resources/step6.png" width="37" height="37" alt="STEP-6" />&nbsp;THAT'S IT!</h3>
<p>
Okay, you are through completely(I hope). Now, access to "index.php".
</p>
<p>Have fun!</p>
<hr />
<h2 id="forum_and_comment">Enabling Forum+Comment System</h2>
<p>Hybrid Forum System (Forum+Comment System) is implemented from ver.1.0b18. You can use it as "comment system" in each logs, use it as Web forum discusson board, and use both-mixed. <span class="red">You should execute install script before use</span>.  Go to the directory &quot;/forum/SETUP_FIELS&quot; and click &quot;DB_INSTALL.php&quot;, then the install will be executed.</p>
<p>There are 3 ways to use P_BLOG's Hybrid Forum System.</p>
<h3>(1) To use it as stand alone forum or discussion board.</h3>
<p>Just open your &quot;user_config.inc.php&quot; file with the text editor of your choice and add the link to the content menu list to access to the forum. That's it.</p>
<h3>(2) To use it as the weblog comment system only.</h3>
<p>Remove the link from your menu list and edit &quot;user_config.inc.php&quot; file to enalbe the comment link as shown below.</p>
<div class="command">
$use_comment_link     =  'yes';
</div>
<p>this will make comment link enabled in each logs.</p>
<h3>(3) To use both.</h3>
<p>Just use the combination of (1) and (2).</p>

<hr />

<h2 id="file_not_found">Setting custom &quot;404 File Not Found&quot;</h2>
<p>You can display your original &quot;404 File Not Found&quot;.</p>
<ol>
<li><p>Open <span class="red">&quot;_dot_htaccess&quot;</span> file in your P_BLOG's home directory with your favorite text editor.</p>
<li>
<div class="command">
<code>
<span class="red">#</span> ErrorDocument 404 http://<span class="red">www.example.com/your/p_blog</span>/var/index.php?id=error404
</code>
</div>
<p>Delete <span class="red">&quot;#&quot;</span>, and edit like this.</p>
<div class="command">
<code>
ErrorDocument 404 http://<span class="red">your path to your p_blog</span>/var/index.php?id=error404
</code>
</div>
</li>
<li>Lastly, save the changes and rename <span class="red">&quot;_dot_htaccess&quot;</span> to <span class="red">&quot;.htaccess&quot;</span>.</li>
</ol>
<p>... Done!  Hit URI which doesn't exist and see if it works.</p>
<p>Custom messages are in <span class="red">「var/contents/」</span>. You can use custom &quot;401&quot; and &quot;403&quot; as well.</p>