<h1><?= P_BLOG_VERSION ?> マニュアル</h1>
<hr />
<p class="flip-menu">
<a href="./index.php">TOP</a> <a href="./index.php?id=ja_00">索引</a> <span class="cur-tab">セットアップの方法</span>
</p>
<hr />
<h2 id="install">インストール</h2>
<h3><img src="./contents/resources/step1.png" width="37" height="37" alt="STEP-1" /> 環境のチェック</h3>
<p>使用環境に「PHP4.2.x〜(4.3以降推奨)」と「MySQL-3.23.x〜4.x」が
インストールされていることを確認して下さい。</p>

<h3><img src="./contents/resources/step2.png" width="37" height="37" alt="STEP-2" />「include/user_config.inc.php」の設定</h3>
<p>データベースや各種ユーザー設定を<span class="blue">「include/user_config.inc.php」</span>を編集して行います。P_BLOGのファイルは全て</p>
<ul>
<li>文字コード ：UTF-8</li>
<li>改行コード：LF (Unix形式)</li>
</ul>
<p>で保存されていますので、編集にはUTF-8やEUC-JPが扱えるテキストエディタをご使用下さい。</p>
<p>
P_BLOGを稼働させるためには、まず<em>最低でも</em>以下の3行は書き換えが必要です。
</p>
<div class="command">
<pre><span class="blue">$host     = 'あなたのホストサーバー名を書いて下さい';
$user     = 'あなたのMySQLユーザー名を書いて下さい';
$password = 'あなたのMySQLパスワードを書いて下さい';</span></pre>
</div>
<p>あとは、自分の環境に合わせて各項目を設定していきます。</p>
<h4><span class="red">＊注意：レンタルサーバーでDB名が決められている場合＊</span></h4>
<p>レンタルサーバーなどでDB名があらかじめ決められている場合は、以下の部分を<span class="red">必ず</span>書き換えて下さい。</p>
<div class="command">
<pre>
$dbname = '<span class="red">あなたのサーバーの割り当てDB名</span>';
</pre>
</div>
<h3><img src="./contents/resources/step3.png" width="37" height="37" alt="STEP-3" />「INSTALL.php」の設定とMySQLテーブルの作成</h3>
<h4>次に、<span class="red">「SETUP_FILES」ディレクトリに移動</span>して下さい。</h4>
<p> MySQLにテーブルを作成する「INSTALL.php」ファイルが2種類あります。ご自分の目的にあったものを一つ選び、ブラウザからファイルをクリックして実行します。</p>
<ol>
<li><strong>DB_INSTALL.php</strong><br />
このインストールスクリプトはフルインストールスクリプトです。P_BLOGに必要なデータベースと全てのテーブルを作成します。始めてP_BLOGのデータベーステーブルを作成する場合や、再インストールする際にご使用下さい。</li>
<li><span class="blue"><strong>DB_UPDATE.php</strong></span>&nbsp;<span class="red">(重要)</span><br />
<span class="red">以前のバージョンからのアップグレードの場合は、このアップグレードスクリプトを実行する必要があります。</span>以前のバージョンを既にインストールしてあり、データを継続して使用したい、上書きアップグレードしたい場合はこのスクリプトを実行して下さい。最新版を走らせるのに足りないテーブルやフィールドのみ、インストールされます。</li>
</ol>
<p>設定終了し、ブラウザからアクセスするとデータベースインストール処理が行われます。処理が終了すると、6つのテーブルが作成されます。作成されるデータベースのテーブル構成は以下のようになっています。</p>
<h4>P_BLOGのMySQL データベーステーブル構成</h4>
<img src="./contents/resources/p_blog_db_schema.png" width="495" height="728" alt="DB Schema" />
<p>データベース作成が終了したらインストールやアップデートスクリプトファイル等は「SETUP_FILES」フォルダごと
サーバーから削除することを<span class="red">強く</span>お薦めします。
</p>
<h3><img src="./contents/resources/step4.png" width="37" height="37" alt="STEP-4" />「resources」ディレクトリのパーミッションを「755」に変更</h3>
<p>
「resources」ディレクトリは、ログと一緒にデータベース以外の場所に画像などの
ファイルをアップロードしたいときに使うデータストックするフォルダです。
アクセスが出来るよう、FTPソフトなどでパーミッションを「755」に設定しておきます。<br />
もし、実行ファイルなどはアップせず、画像等の静的ファイルのみ使用する場合は、「666」でも良いと思います。
</p>
<h4>ローカル(自分のマシン)で使用する場合</h4>
<p>ローカルで使う場合は、Terminalなどのコマンドが使えるソフトで「resources」フォルダのある階層に移動し、
</p>
<div class="command">
% chmod 755 resources
</div>
<p>を実行して下さい。</p>

<h3><img src="./contents/resources/step5.png" width="37" height="37" alt="STEP-5" />　ユーザーアカウントの作成</h3>
<p>管理者ページの「login.php」にアクセスし、ページ下の「新規ユーザーを作成」をクリックします。すると、アカウントマネージャーへのログイン画面が出ますので、/include/user_config.inc.phpファイルで設定したユーザー名とパスワードを入力します。</p>
<p>ログインが成功したら、新規ユーザーの名前とパスワード、メールアドレスを打ち込み、アカウントを作成して下さい。ここで作成したユーザーが、「P_BLOGで記事のポスト・更新・削除が出来るユーザー」となります。ユーザーアカウントは999個まで登録可能です。パスワードはMD5ハッシュ化されて見れなくなりますので、忘れないようにして下さい。</p>
<p>また、user_config.inc.phpでメール送信機能をON(デフォルトはOFF)にしてある場合はリマンダーとして登録したアドレスにIDとパスワードが送信されます。(忘れた場合・間違って登録してしまった場合・リマインダーメールを紛失した場合にはMySQLユーザーアカウントでログイン後にパスワードを再度設定して下さい。)</p>

<h3><img src="./contents/resources/step6.png" width="37" height="37" alt="STEP-6" />　終了!</h3>
<p>
以上で基本設定は完了です。ブラウザから「index.php」にアクセスしてみて下さい。
</p>
<p>上手くトップページが表示されましたら、P_BLOGをお楽しみ下さい。</p>

<hr />

<h2 id="forum_and_comment">フォーラム+コメント機能の設定</h2>
<p>ver.1.0b18から、メイン記事のコメント機能としても利用出来るフォーラム機能が実装されました。現在はオプション実装のため、<span class="red">インストーラはP_BLOGのインストールスクリプトとは別途のインストールスクリプトを実行</span>します。「forum/SETUP_FILES」ディレクトリに移動し、「DB_INSTALL.php」を実行するとフォーラムの稼働に必要なデータテーブルのインストールが実行されます。</p>
<p>P_BLOGのフォーラム機能はフォーラム型掲示板と記事へのコメントシステムを組み合わせた<span class="blue">「ハイブリッドフォーラム」</span>です。使い方は大きく分けて三通りあります。</p>
<h3>(1)フォーラム機能としてのみ使用する。</h3>
<p>フォーラム掲示板としてのみ利用する場合は上記のインストーラを実行した後、ユーザー設定ファイル「user_config.inc.php」にてメニューにフォーラムへのリンクを記述するだけでOKです。</p>
<h3>(2)記事へのコメントシステムとしてのみ利用する</h3>
<p>コメントシステムとしてのみ利用する場合は、「user_config.inc.php」でメニューからフォーラムトップへのリンクを削除し、</p>
<div class="command">
$use_comment_link     =  'yes';
</div>
<p>とするとメインページの記事の下にコメント用リンクがつきます。</p>
<h3>(3)フォーラム+コメントのハイブリッドフォーラムとして利用する</h3>
<p>上記(1)(2)を組み合わせればユーザーからのフィードバックを一元管理出来るハイブリッドフォーラムとして利用出来ます。</p>

<hr />

<h2 id="file_not_found">カスタム「404 File Not Found」の設定</h2>
<p>P_BLOGではユーザーが存在しないページをリクエストした場合にオリジナルの「404 File Not Found」を表示するように設定することが出来ます。</p>
<ol>
<li><p>あなたのP_BLOGのホームディレクトリにある<span class="red">「_dot_htaccess」</span>という名前のファイルをテキストエディタで開きます。</p>
<li>
<div class="command">
<code>
<span class="red">#</span> ErrorDocument 404 http://<span class="red">www.example.com/your/p_blog</span>/var/index.php?id=error404
</code>
</div>
<p>という箇所の<span class="red">「#」</span>をコメントアウトし、以下のように書き換えます。</p>
<div class="command">
<code>
ErrorDocument 404 http://<span class="red">あなたのP_BLOGへのパス</span>/var/index.php?id=error404
</code>
</div>
</li>
<li>最後に、<span class="red">「_dot_htaccess」</span>のファイル名を<span class="red">「.htaccess」</span>と変更し、保存します。</li>
</ol>
<p>以上で設定は終了です。試しに存在しないページのURIをリクエストしてみて下さい。カスタムのエラーメッセージが上手く表示されれば成功です。</p>
<p>カスタムメッセージの本体は<span class="red">「var/contents/」</span>に入っています。他に「401」、「403」のエラーメッセージがありますので有効にするには同じように設定して下さい。</p>